//
//  Copyright: (C) 2006-2008 by Martin Koehler <mkoehler@users.berlios.de>
//  $Id: PreferencesPanelController.h 350 2008-10-18 22:54:11Z martin $
//    This program is free software; you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation; either version 2 of the License, or
//    (at your option) any later version
//


#import <Cocoa/Cocoa.h>

@interface PreferencesPanelController : NSWindowController
{
  IBOutlet NSButton *_checkAtStartupButton;

  IBOutlet NSButton *_useErrorCorrectionButton;

  IBOutlet NSPopUpButton *_defaultPreGapPopUpButton;
  
  IBOutlet NSTableView *_fileExclusionPatternsTableView;
  IBOutlet NSTableColumn *_isOnTableColumn;
  IBOutlet NSTableColumn *_filePatternTableColumn;
  IBOutlet NSButton *_removePatternButton;
}

#pragma mark IB Actions

- (IBAction)toggledCheckAtStartupButton:(id)sender;
- (IBAction)changedUseErrorCorrection:(id)sender;
- (IBAction)changedDefaultPreGap:(id)sender;

- (IBAction)addExcludedFile:(id)sender;
- (IBAction)removeSelectedExcludedFiles:(id)sender;
- (IBAction)resetExcludedFilesToDefault:(id)sender;

- (IBAction)checkForUpdates:(id)sender;


@end
